; Configuration file for Duet WiFi (firmware version 2.03)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v2.0.0 on Mon Sep 02 2019 21:26:10 GMT+1000 (Australian Eastern Standard Time)

; General preferences
G90                                             ; send absolute coordinates...
M83                                             ; ...but relative extruder moves
M550 P"Little Boy"                              ; set printer name
; automatic saving on power loss is not configured

; Drives
M569 P0 S1                                      ; physical drive 0 goes forwards
M569 P1 S0                                      ; physical drive 1 goes backwards
M569 P2 S0                                      ; physical drive 2 goes backwards
M569 P3 S1                                      ; physical drive 3 goes forwards
M569 P4 S0                                      ; physical drive 4 goes backwards
M584 X0 Y1 Z2 E3:4                              ; set drive mapping
M350Z16 I0                                      ; configure microstepping without interpolation
M350X16 Y16 Z16 E16:16 I1                       ; configure microstepping with interpolation
M92 X100.00 Y100.00 Z400.00 E415.00:415.00      ; set steps per mm
M566 X720.00 Y600.00 Z12.00 E60.00:60.00        ; set maximum instantaneous speed changes (mm/min)
M203 X7200.00 Y7200.00 Z300.00 E3600.00:3600.00 ; set maximum speeds (mm/min)
M201 X1000.00 Y1000.00 Z20.00 E2000.00:2000.00  ; set accelerations (mm/s^2)
M906 X1000 Y1000 Z1000 E1000:1000 I30           ; set motor currents (mA) and motor idle factor in per cent
M84 S30                                         ; Set idle timeout

; Axis Limits
M208 X0 Y0 Z0 S1                                ; set axis minima
M208 X255 Y255 Z350 S0                          ; set axis maxima

; Endstops
M574 X2 Y1 Z1 S0                                ; set active low and disabled endstops
M574 Z1 S1                                      ; set active high endstops
M574 Z1 S3                                      ; set endstops controlled by motor stall detection

; Z-Probe
M574 X2 Y1 Z1 S2                                ; set endstops controlled by probe
M558 P0 H10 F300 T6000                          ; disable Z probe but set dive height, probe speed and travel speed
M557 X15:215 Y15:195 S20                        ; define mesh grid

; Heaters
M305 P0 T100000 B4138 R4700                     ; set thermistor + ADC parameters for heater 0
M143 H0 S150                                    ; set temperature limit for heater 0 to 150C
M305 P1 T100000 B4138 R4700                     ; set thermistor + ADC parameters for heater 1
M143 H1 S300                                    ; set temperature limit for heater 1 to 300C
M305 P2 T100000 B4138 R4700                     ; set thermistor + ADC parameters for heater 2
M143 H2 S300                                    ; set temperature limit for heater 2 to 300C

; Fans
M106 P0 C"MAINBOARD_FAN" S1 I0 F500 H0 T18      ; set fan 0 name, value, PWM signal inversion and frequency. Thermostatic control is turned on
M106 P1 C"HEATBREAK_FAN" S1 I0 F500 H1:2 T100   ; set fan 1 name, value, PWM signal inversion and frequency. Thermostatic control is turned on
M106 P2 C"PART_FAN_E0" S1 I0 F500 H1:2 T45      ; set fan 2 name, value, PWM signal inversion and frequency. Thermostatic control is turned on

; Tools
M563 P0 S"EXTRUDE_MAIN" D0 H1 F1                ; define tool 0
G10 P0 X0 Y0 Z0                                 ; set tool 0 axis offsets
G10 P0 R0 S0                                    ; set initial tool 0 active and standby temperatures to 0C
M563 P1 S"EXTRUDE_SUB" D1 H2 F1                 ; define tool 1
G10 P1 X0 Y0 Z0                                 ; set tool 1 axis offsets
G10 P1 R0 S0                                    ; set initial tool 1 active and standby temperatures to 0C

; Network
M552 S1                                         ; enable network
M586 P0 S1                                      ; enable HTTP
M586 P1 S0                                      ; disable FTP
M586 P2 S0                                      ; disable Telnet

; Custom settings are not defined

; Miscellaneous
T0                                              ; select first tool

